FROM python:3.8-slim
ENV PYTHONUNBUFFERED 1
RUN apt-get update
RUN apt-get install -y build-essential gcc

RUN python -m venv /opt/venv
ENV PATH="/opt/venv/bin:$PATH"

RUN python -m pip install --upgrade pip

ENV PATH="/opt/venv/bin:$PATH"

RUN mkdir /code
WORKDIR /code
COPY setup.py /code/
COPY requirements.txt /code/
RUN pip install -r requirements.txt

COPY . /code/
